Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class LifecyclePolicyEntryDefinition

    java.lang.Object
      oracle.ifs.beans.LibraryObjectDefinition
          oracle.ifs.beans.SystemObjectDefinition
              oracle.ifs.beans.SystemCategoryDefinition
                  oracle.ifs.beans.LifecyclePolicyEntryDefinition

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class LifecyclePolicyEntryDefinition

extends SystemCategoryDefinition

A LifecyclePolicyEntryDefinition is used to create or modify a LifecyclePolicyEntry instance.

See Also:
  Serialized Form
(Unpublished)

Field Summary

Fields inherited from class oracle.ifs.beans.LibraryObjectDefinition
`m_Attributes, m_ClassObjectName, m_ClassObjectValue, m_ContentSpecifications, m_DefinitionLists, m_Definitions, m_EnclosedDefinition, m_Id, m_Options, m_ReadOnly, m_ReferenceAttributes, m_Session, m_SystemOptions`

Constructor Summary
`LifecyclePolicyEntryDefinition(LibrarySessionInterface session)` Construct a definition explicitly capturing the session.
`LifecyclePolicyEntryDefinition(LibrarySessionInterface session, java.lang.String className)` Construct a definition, explicitly capturing the session and setting the initial classobject.

Method Summary
`static LifecyclePolicyEntryDefinition` | `toLifecyclePolicyEntryDefinition(LibraryObjectDefinition lodef)` Cast specified LibraryObjectDefinition to a LifecyclePolicyEntryDefinition.
`static LifecyclePolicyEntryDefinition` | `toLifecyclePolicyEntryDefinition(LibraryObjectDefinition lodef, boolean enforceCompat)` Cast specified LibraryObjectDefinition to a LifecyclePolicyEntryDefinition.

Methods inherited from class oracle.ifs.beans.SystemObjectDefinition
`addCategoryDefinition, addCategoryDefinitionForUpdate, addCategoryDefinitions, addCategoryForDelete, getCategoriesForDelete, getCategoryDefinitions, getCategoryDefinitionsForUpdate, getCreateCategoriesServerSideOption, removeCategoriesForDelete, removeCategoryDefinitions, removeCategoryDefinitionsForUpdate, setCategoryDefinitions, setCreateCategoriesServerSideOption, toSystemObjectDefinition, toSystemObjectDefinition`

Methods inherited from class oracle.ifs.beans.LibraryObjectDefinition
`addDefinition, addDefinitions, addProperty, addPropertyDefinition, addPropertyDefinitions, captureSession, captureSession, captureSession, clone, constructInstance, constructInstance, copyInto, getAttribute, getAttribute, getAttributes, getAttributes, getAttributesSorted, getClassId, getClassObject, getClassObjectValue, getContentSpecification, getContentSpecificationKeys, getCopiedObjectValue, getDefinition, getDefinitionClassName, getDefinitionKeys, getDefinitionListKeys, getDefinitions, getId, getLibrarySession, getName, getOption, getOptionAsAttributeValue, getOptionKeys, getPolicyMode, getPropertyDefinitions, getReferenceAttribute, getReferenceAttributes, getServerDefinition, getSession, getSLibrarySession, getStringAttribute, getSystemOption, getSystemOptionAsAttributeValue, getSystemOptionAsBoolean, getSystemOptionKeys, getWriteableInstance, isReadOnly, prepareForDefinitionObject, removeAttribute, removeContentSpecification, removeDefinition, removeDefinitions, removeOption, removePropertyDefinitions, removeReferenceAttribute, removeSystemOption, reset, resolve, setAttribute, setAttribute, setAttribute, setAttributeByUpperCaseName, setAttributeByUpperCaseName, setAttributePolicyMode, setAttributes, setClassId, setClassname, setClassObject, setClassObjectValue, setContentSpecification, setCopiedObjectValue, setDefinition, setDefinitions, setId, setName, setOption, setReadOnly, setReferenceAttribute, setReferenceAttribute, setSession, setSystemOption, unresolve, verifySession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LifecyclePolicyEntryDefinition

    public LifecyclePolicyEntryDefinition(LibrarySessionInterface session)
                                   throws IfsException

  Construct a definition explicitly capturing the session. The initial ClassObject will be LifecyclePolicyEntry.

  Parameters:
    `session` - the current session
  Throws:
    `IfsException` - if the operation fails
  (Published)

### LifecyclePolicyEntryDefinition

    public LifecyclePolicyEntryDefinition(LibrarySessionInterface session,
                                          java.lang.String className)
                                   throws IfsException

  Construct a definition, explicitly capturing the session and setting the initial classobject.

  Parameters:
    `session` - the current session
    `className` - the initial class name
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### toLifecyclePolicyEntryDefinition

    public static LifecyclePolicyEntryDefinition toLifecyclePolicyEntryDefinition(LibraryObjectDefinition lodef)
                                                                           throws IfsException

  Description copied from class: `LifecyclePolicyEntryDefinition`
  Cast specified LibraryObjectDefinition to a LifecyclePolicyEntryDefinition.

  Return null if the specified definition is not a LifecyclePolicyEntryDefinition, or if the specified definition is null.

  Parameters:
    `lodef` - the definition to be casted
  Returns:
    a LifecyclePolicyEntryDefinition casted from the specified definition
  Throws:
    `IfsException` - is not currently thrown.
  (Unpublished)

### toLifecyclePolicyEntryDefinition

    public static LifecyclePolicyEntryDefinition toLifecyclePolicyEntryDefinition(LibraryObjectDefinition lodef,
                                                                                  boolean enforceCompat)
                                                                           throws IfsException

  Description copied from class: `LifecyclePolicyEntryDefinition`
  Cast specified LibraryObjectDefinition to a LifecyclePolicyEntryDefinition.

  Return null if the specified definition is null. If non-null and unable to cast, return null if enforceCompat is false but throw an IfsException if the specified definition is not a LifecyclePolicyEntryDefinition.

  Parameters:
    `lodef` - the definition to be casted
    `enforceCompat` - whether to throw an exception if a non-null definition cannot be cast
  Returns:
    a LifecyclePolicyEntryDefinition casted from the specified definition
  Throws:
    `IfsException` - (IFS-10822) if operation fails.
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD